<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="MEGACITIESDataSet" targetNamespace="http://tempuri.org/MEGACITIESDataSet.xsd" xmlns:mstns="http://tempuri.org/MEGACITIESDataSet.xsd" xmlns="http://tempuri.org/MEGACITIESDataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="MySettings" AppSettingsPropertyName="MEGACITIESDB" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="MEGACITIESDB (MySettings)" PropertyReference="ApplicationSettings.Assignment_5.My.MySettings.GlobalReference.Default.MEGACITIESDB" Provider="System.Data.OleDb" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="CitiesTableAdapter" GeneratorDataComponentClassName="CitiesTableAdapter" Name="Cities" UserDataComponentName="CitiesTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="MEGACITIESDB (MySettings)" DbObjectName="Cities" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM `Cities` WHERE ((`city` = ?) AND ((? = 1 AND `country` IS NULL) OR (`country` = ?)) AND ((? = 1 AND `pop2005` IS NULL) OR (`pop2005` = ?)) AND ((? = 1 AND `pop2015` IS NULL) OR (`pop2015` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_city" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="city" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_country" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="country" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_country" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="country" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_pop2005" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="pop2005" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_pop2005" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="pop2005" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_pop2015" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="pop2015" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_pop2015" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="pop2015" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO `Cities` (`city`, `country`, `pop2005`, `pop2015`) VALUES (?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="city" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="city" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="country" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="country" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="pop2005" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="pop2005" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="pop2015" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="pop2015" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT city, country, pop2005, pop2015 FROM Cities</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE `Cities` SET `city` = ?, `country` = ?, `pop2005` = ?, `pop2015` = ? WHERE ((`city` = ?) AND ((? = 1 AND `country` IS NULL) OR (`country` = ?)) AND ((? = 1 AND `pop2005` IS NULL) OR (`pop2005` = ?)) AND ((? = 1 AND `pop2015` IS NULL) OR (`pop2015` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="city" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="city" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="country" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="country" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="pop2005" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="pop2005" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="pop2015" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="pop2015" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_city" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="city" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_country" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="country" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_country" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="country" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_pop2005" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="pop2005" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_pop2005" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="pop2005" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_pop2015" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="pop2015" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_pop2015" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="pop2015" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="city" DataSetColumn="city" />
              <Mapping SourceColumn="country" DataSetColumn="country" />
              <Mapping SourceColumn="pop2005" DataSetColumn="pop2005" />
              <Mapping SourceColumn="pop2015" DataSetColumn="pop2015" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="CountriesTableAdapter" GeneratorDataComponentClassName="CountriesTableAdapter" Name="Countries" UserDataComponentName="CountriesTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="MEGACITIESDB (MySettings)" DbObjectName="Countries" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM `Countries` WHERE ((`country` = ?) AND ((? = 1 AND `pop2005` IS NULL) OR (`pop2005` = ?)) AND ((? = 1 AND `monetaryUnit` IS NULL) OR (`monetaryUnit` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_country" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="country" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_pop2005" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="pop2005" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_pop2005" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="pop2005" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_monetaryUnit" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="monetaryUnit" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_monetaryUnit" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="monetaryUnit" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO `Countries` (`country`, `pop2005`, `monetaryUnit`) VALUES (?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="country" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="country" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="pop2005" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="pop2005" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="monetaryUnit" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="monetaryUnit" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT country, pop2005, monetaryUnit FROM Countries</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE `Countries` SET `country` = ?, `pop2005` = ?, `monetaryUnit` = ? WHERE ((`country` = ?) AND ((? = 1 AND `pop2005` IS NULL) OR (`pop2005` = ?)) AND ((? = 1 AND `monetaryUnit` IS NULL) OR (`monetaryUnit` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="country" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="country" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="pop2005" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="pop2005" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="monetaryUnit" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="monetaryUnit" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_country" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="country" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_pop2005" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="pop2005" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_pop2005" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="pop2005" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_monetaryUnit" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="monetaryUnit" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_monetaryUnit" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="monetaryUnit" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="country" DataSetColumn="country" />
              <Mapping SourceColumn="pop2005" DataSetColumn="pop2005" />
              <Mapping SourceColumn="monetaryUnit" DataSetColumn="monetaryUnit" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="MEGACITIESDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="MEGACITIESDataSet" msprop:Generator_UserDSName="MEGACITIESDataSet">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Cities" msprop:Generator_TableClassName="CitiesDataTable" msprop:Generator_TableVarName="tableCities" msprop:Generator_TablePropName="Cities" msprop:Generator_RowDeletingName="CitiesRowDeleting" msprop:Generator_UserTableName="Cities" msprop:Generator_RowChangingName="CitiesRowChanging" msprop:Generator_RowEvHandlerName="CitiesRowChangeEventHandler" msprop:Generator_RowDeletedName="CitiesRowDeleted" msprop:Generator_RowEvArgName="CitiesRowChangeEvent" msprop:Generator_RowChangedName="CitiesRowChanged" msprop:Generator_RowClassName="CitiesRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="city" msprop:Generator_ColumnVarNameInTable="columncity" msprop:Generator_ColumnPropNameInRow="city" msprop:Generator_ColumnPropNameInTable="cityColumn" msprop:Generator_UserColumnName="city">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="country" msprop:Generator_ColumnVarNameInTable="columncountry" msprop:Generator_ColumnPropNameInRow="country" msprop:Generator_ColumnPropNameInTable="countryColumn" msprop:Generator_UserColumnName="country" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="pop2005" msprop:Generator_ColumnVarNameInTable="columnpop2005" msprop:Generator_ColumnPropNameInRow="pop2005" msprop:Generator_ColumnPropNameInTable="pop2005Column" msprop:Generator_UserColumnName="pop2005" type="xs:double" minOccurs="0" />
              <xs:element name="pop2015" msprop:Generator_ColumnVarNameInTable="columnpop2015" msprop:Generator_ColumnPropNameInRow="pop2015" msprop:Generator_ColumnPropNameInTable="pop2015Column" msprop:Generator_UserColumnName="pop2015" type="xs:double" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Countries" msprop:Generator_TableClassName="CountriesDataTable" msprop:Generator_TableVarName="tableCountries" msprop:Generator_TablePropName="Countries" msprop:Generator_RowDeletingName="CountriesRowDeleting" msprop:Generator_UserTableName="Countries" msprop:Generator_RowChangingName="CountriesRowChanging" msprop:Generator_RowEvHandlerName="CountriesRowChangeEventHandler" msprop:Generator_RowDeletedName="CountriesRowDeleted" msprop:Generator_RowEvArgName="CountriesRowChangeEvent" msprop:Generator_RowChangedName="CountriesRowChanged" msprop:Generator_RowClassName="CountriesRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="country" msprop:Generator_ColumnVarNameInTable="columncountry" msprop:Generator_ColumnPropNameInRow="country" msprop:Generator_ColumnPropNameInTable="countryColumn" msprop:Generator_UserColumnName="country">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="pop2005" msprop:Generator_ColumnVarNameInTable="columnpop2005" msprop:Generator_ColumnPropNameInRow="pop2005" msprop:Generator_ColumnPropNameInTable="pop2005Column" msprop:Generator_UserColumnName="pop2005" type="xs:double" minOccurs="0" />
              <xs:element name="monetaryUnit" msprop:Generator_ColumnVarNameInTable="columnmonetaryUnit" msprop:Generator_ColumnPropNameInRow="monetaryUnit" msprop:Generator_ColumnPropNameInTable="monetaryUnitColumn" msprop:Generator_UserColumnName="monetaryUnit" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Cities" />
      <xs:field xpath="mstns:city" />
    </xs:unique>
    <xs:unique name="Countries_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Countries" />
      <xs:field xpath="mstns:country" />
    </xs:unique>
  </xs:element>
  <xs:annotation>
    <xs:appinfo>
      <msdata:Relationship name="CountriesCities" msdata:parent="Countries" msdata:child="Cities" msdata:parentkey="country" msdata:childkey="country" msprop:Generator_UserChildTable="Cities" msprop:Generator_ChildPropName="GetCitiesRows" msprop:Generator_ParentPropName="CountriesRow" msprop:Generator_UserRelationName="CountriesCities" msprop:Generator_RelationVarName="relationCountriesCities" msprop:Generator_UserParentTable="Countries" />
    </xs:appinfo>
  </xs:annotation>
</xs:schema>